AOMedia AV1 Codec: CdefBlockInfo Struct Reference

| AOMedia AV1 Codec

Data Fields
CdefBlockInfo Struct Reference

Parameters related to CDEF Block. More...

`#include <cdef.h>`

## Data Fields
uint16_t * | src
uint16_t * | top_linebuf [3]
uint16_t * | bot_linebuf [3]
uint8_t * | dst
cdef_list | dlist [MI_SIZE_64X64 *MI_SIZE_64X64]
int | xdec
int | ydec
int | mi_wide_l2
int | mi_high_l2
int | frame_boundary [BOUNDARIES]
int | damping
int | coeff_shift
int | level
int | sec_strength
int | cdef_count
int | is_zero_level
int | dir [((1<< MAX_SB_SIZE_LOG2)/8)][((1<< MAX_SB_SIZE_LOG2)/8)]
int | var [((1<< MAX_SB_SIZE_LOG2)/8)][((1<< MAX_SB_SIZE_LOG2)/8)]
int | dst_stride
int | coffset
int | roffset

## Detailed Description

Parameters related to CDEF Block.

## Field Documentation

## ◆ src

uint16_t* CdefBlockInfo::src

CDEF intermediate buffer

## ◆ top_linebuf

uint16_t* CdefBlockInfo::top_linebuf[3]

CDEF top line buffer

## ◆ bot_linebuf

uint16_t* CdefBlockInfo::bot_linebuf[3]

CDEF bottom line buffer

## ◆ dst

uint8_t* CdefBlockInfo::dst

CDEF destination buffer

## ◆ dlist

cdef_list CdefBlockInfo::dlist[MI_SIZE_64X64 *MI_SIZE_64X64]

CDEF 8x8 block positions

## ◆ xdec

int CdefBlockInfo::xdec

Sub-sampling X

## ◆ ydec

int CdefBlockInfo::ydec

Sub-sampling X

## ◆ mi_wide_l2

int CdefBlockInfo::mi_wide_l2

Pixels per mi unit in width

## ◆ mi_high_l2

int CdefBlockInfo::mi_high_l2

Pixels per mi unit in height

## ◆ frame_boundary

int CdefBlockInfo::frame_boundary[BOUNDARIES]

frame boundaries

## ◆ damping

int CdefBlockInfo::damping

CDEF damping factor

## ◆ coeff_shift

int CdefBlockInfo::coeff_shift

Bit-depth based shift for calculating filter strength

## ◆ level

int CdefBlockInfo::level

CDEF filtering level

## ◆ sec_strength

int CdefBlockInfo::sec_strength

CDEF secondary strength

## ◆ cdef_count

int CdefBlockInfo::cdef_count

Number of CDEF sub-blocks in superblock

## ◆ is_zero_level

int CdefBlockInfo::is_zero_level

CDEF filtering level ON/OFF

## ◆ dir

int CdefBlockInfo::dir[((1<< MAX_SB_SIZE_LOG2)/8)][((1<< MAX_SB_SIZE_LOG2)/8)]

CDEF filter direction for all 8x8 sub-blocks

## ◆ var

int CdefBlockInfo::var[((1<< MAX_SB_SIZE_LOG2)/8)][((1<< MAX_SB_SIZE_LOG2)/8)]

variance for all 8x8 sub-blocks

## ◆ dst_stride

int CdefBlockInfo::dst_stride

CDEF destination buffer stride

## ◆ coffset

int CdefBlockInfo::coffset

current superblock offset in a row

## ◆ roffset

int CdefBlockInfo::roffset

current row offset

The documentation for this struct was generated from the following file:

- av1/common/cdef.h